"Other license (enter URL)" does not work

Bug #1603658 reported by Kristina Hoeppner on 2016-07-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Liam
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Unassigned

Bug Description

When you choose the option "Other license (enter URL)" in your personal settings, file upload or other places, there is supposed to be a second field that comes up in which you can enter the URL for that new license. This isn't happening in Mahara 15.10+ and probably got lost during the Bootstrap conversion.

To test:

1. Go to "Administration -> Configure Site -> General Settings", and enable "License metadata" and "Custom licenses".

2. Change your default license in your account settings /account/index.php to "Other license (enter URL)".

Expected result: Another text field opens up where you can enter the URL for this new license.

Actual result: Nothing happens.

Other places where this happens: Any artefact where you can choose a license.

It still works in Mahara 15.04 prior to the move to Bootstrap.

description: updated
description: updated
Liam (liam-sharpe) on 2016-08-18
Changed in mahara:
assignee: nobody → Liam (liam-sharpe)
status: Confirmed → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7125

Robert Lyon (robertl-9) on 2016-10-20
Changed in mahara:
milestone: 16.10.0 → 16.10.1
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.1 → 17.04.0

Reviewed: https://reviews.mahara.org/6858
Committed: https://git.mahara.org/mahara/mahara/commit/59703519690da58914daa7fa702484627a410073
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 59703519690da58914daa7fa702484627a410073
Author: Liam <email address hidden>
Date: Thu Aug 18 13:59:10 2016 +1200

Fixed missing license search box and styling - Bug #1603658

Plus improvments
- made other license text box more consistant accross pages

behatnotneeded

Change-Id: I7efe449230cfc03088252365ad4e85cb0424dd83

Robert Lyon (robertl-9) on 2016-11-20
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7260

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7261

Reviewed: https://reviews.mahara.org/7261
Committed: https://git.mahara.org/mahara/mahara/commit/1ab2df6f1728ea2442b3a241146c7755c3d24ab7
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 1ab2df6f1728ea2442b3a241146c7755c3d24ab7
Author: Liam <email address hidden>
Date: Thu Aug 18 13:59:10 2016 +1200

Fixed missing license search box and styling - Bug #1603658

Plus improvments
- made other license text box more consistant accross pages

behatnotneeded

Change-Id: I7efe449230cfc03088252365ad4e85cb0424dd83
(cherry picked from commit 59703519690da58914daa7fa702484627a410073)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7259
Committed: https://git.mahara.org/mahara/mahara/commit/38cbab9f6b415ac0168898209f5bc1c7fe810f8c
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 38cbab9f6b415ac0168898209f5bc1c7fe810f8c
Author: Liam <email address hidden>
Date: Thu Aug 18 13:59:10 2016 +1200

Fixed missing license search box and styling - Bug #1603658

Plus improvments
- made other license text box more consistant accross pages

behatnotneeded

Change-Id: I7efe449230cfc03088252365ad4e85cb0424dd83
(cherry picked from commit 59703519690da58914daa7fa702484627a410073)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7260
Committed: https://git.mahara.org/mahara/mahara/commit/aff53c219a80fafb5aa60f330306de0a20d46eba
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit aff53c219a80fafb5aa60f330306de0a20d46eba
Author: Liam <email address hidden>
Date: Thu Aug 18 13:59:10 2016 +1200

Fixed missing license search box and styling - Bug #1603658

Plus improvments
- made other license text box more consistant accross pages

behatnotneeded

Change-Id: I7efe449230cfc03088252365ad4e85cb0424dd83
(cherry picked from commit 59703519690da58914daa7fa702484627a410073)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers